org.apache.struts2.interceptor.httpmethod

## Enum HttpMethod

- java.lang.Object
- - java.lang.Enum<HttpMethod>
  - - org.apache.struts2.interceptor.httpmethod.HttpMethod

- All Implemented Interfaces:
    Serializable, Comparable<HttpMethod>

      public enum HttpMethod
      extends Enum<HttpMethod>

  Enum represents possible http request types
  Since:
    6.2.0
  See Also:
    `HttpMethodInterceptor`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECT`
    `DELETE`
    `GET`
    `HEAD`
    `OPTIONS`
    `PATCH`
    `POST`
    `PUT`
    `TRACE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpMethod` | `parse(String httpRequestMethod)`
    `static HttpMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HttpMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          public static final HttpMethod GET

    - #### HEAD

          public static final HttpMethod HEAD

    - #### POST

          public static final HttpMethod POST

    - #### PUT

          public static final HttpMethod PUT

    - #### DELETE

          public static final HttpMethod DELETE

    - #### TRACE

          public static final HttpMethod TRACE

    - #### OPTIONS

          public static final HttpMethod OPTIONS

    - #### CONNECT

          public static final HttpMethod CONNECT

    - #### PATCH

          public static final HttpMethod PATCH

  - ### Method Detail

    - #### values

          public static HttpMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpMethod c : HttpMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parse

          public static HttpMethod parse(String httpRequestMethod)

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.